Installing an operating system

Ricoh ProcessDirector requires a 64-bit operating system that supports running 32-bit applications. You can install any of these operating systems, depending on the hardware you have:

IBM pSeries system (for AIX secondary):
AIX Version 7.2, Technology Level 02 or later.
64-bit system (for primary or Linux secondary):
One of these operating systems:
  • Red Hat Enterprise Linux 6.7 through latest 6.X
  • Red Hat Enterprise Linux 7.1 through latest 7.X
  • SUSE Linux Enterprise Server (SLES) 12.0 with Service Pack 1 or above for x86_64
If you plan to define an AFP, Ricoh PDF, or Custom PDF printer on a Linux primary or secondary server, you must install one of these operating systems:
  • Red Hat 7.1 through latest 7.X
  • SLES 12.0 with the latest Service Pack for x86_64
64-bit system (for Windows application servers):
One of these operating systems:
  • Windows 10 Pro or Enterprise 64-bit operating system
  • Windows Server 2012 R2 64-bit operating system
  • Windows Server 2016 64-bit operating system

    Important:
  • Ricoh ProcessDirector checks to make sure that the operating system meets these minimum requirements. The installation program does not install the software on earlier versions of the operating systems.